/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 材料类型点击数+1 POST /api/SearchSetting/AddSearchSettingClickCount */
export async function addSearchSettingClickCount(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIaddSearchSettingClickCountParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/SearchSetting/AddSearchSettingClickCount', {
    method: 'POST',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 搜索管理--新建编辑 POST /api/SearchSetting/CreateOrEditSearchSetting */
export async function createOrEditSearchSetting(
  body: API.CreateOrEditSearchInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/SearchSetting/CreateOrEditSearchSetting', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 搜索管理--禁用启用 POST /api/SearchSetting/EnableSearchSetting */
export async function enableSearchSetting(
  body: API.EnableSearchSettingInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/SearchSetting/EnableSearchSetting', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 根据获得全部指定类型搜索条件 POST /api/SearchSetting/GetAllSearchSettingList */
export async function getAllSearchSettingList(
  body: API.GetSearchSettingListInput,
  options?: API.RequestConfig
) {
  return request<API.GetSearchSettingList[]>('/api/SearchSetting/GetAllSearchSettingList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取查询条件列表 GET /api/SearchSetting/GetSearchConditionList */
export async function getSearchConditionList(options?: API.RequestConfig) {
  return request<API.SearchConditionList[]>('/api/SearchSetting/GetSearchConditionList', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 搜索管理--列表 POST /api/SearchSetting/GetSearchSettingList */
export async function getSearchSettingList(
  body: API.GetSearchSettingListInput,
  options?: API.RequestConfig
) {
  return request<API.GetSearchSettingListPageOutput>('/api/SearchSetting/GetSearchSettingList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 根据类型获得指定类型搜索条件 POST /api/SearchSetting/GetTypeSearchSettingList */
export async function getTypeSearchSettingList(
  body: API.GetTypeSearchSettingListInput,
  options?: API.RequestConfig
) {
  return request<API.GetTypeSearchSettingList[]>('/api/SearchSetting/GetTypeSearchSettingList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 修改推荐状态 POST /api/SearchSetting/SetRecommendSearchSetting */
export async function setRecommendSearchSetting(
  body: API.SetRecommendSearchSettingInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/SearchSetting/SetRecommendSearchSetting', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
